Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
agora::rtc::AudioFrameHandleInfo Struct Reference

`#include <audio_node_stat_i.h>`

## Public Types
enum | AUDIO_UPLINK_HANDLE_TIMING { FRAME_PTS , DATA_READY , FORMAT_FRAME , START_ENCODE , ENCODED , VOS_SEND , TIMING_COUNT }
enum | AUDIO_FRAME_EXTRA_INFO { REC_DELAY , APM_DELAY , FRAME_RMS , EXTRA_INFO_COUNT }

## Public Member Functions
| AudioFrameHandleInfo ()
| AudioFrameHandleInfo (const AudioFrameHandleInfo &info)
AudioFrameHandleInfo & | operator= (const AudioFrameHandleInfo &rhs)
bool | valid () const

## Static Public Member Functions
static std::string | getAudioFrameSourceName (int type)

## Public Attributes
bool | source_mute = false
int64_t | time_us [TIMING_COUNT] {}
int32_t | extra_info [EXTRA_INFO_COUNT] {}
int | source_type = static_cast<int>(AUDIO_FRAME_SOURCE_TYPE::UNKNOWN)

## Member Enumeration Documentation

## ◆ AUDIO_UPLINK_HANDLE_TIMING

enum agora::rtc::AudioFrameHandleInfo::AUDIO_UPLINK_HANDLE_TIMING

Enumerator
FRAME_PTS |
DATA_READY |
FORMAT_FRAME |
START_ENCODE |
ENCODED |
VOS_SEND |
TIMING_COUNT |

## ◆ AUDIO_FRAME_EXTRA_INFO

enum agora::rtc::AudioFrameHandleInfo::AUDIO_FRAME_EXTRA_INFO

Enumerator
REC_DELAY |
APM_DELAY |
FRAME_RMS |
EXTRA_INFO_COUNT |

## Constructor & Destructor Documentation

## ◆ AudioFrameHandleInfo() [1/2]

agora::rtc::AudioFrameHandleInfo::AudioFrameHandleInfo | ( |  | ) |
| inline

## ◆ AudioFrameHandleInfo() [2/2]

agora::rtc::AudioFrameHandleInfo::AudioFrameHandleInfo | ( | const AudioFrameHandleInfo & | info | ) |
| inline

## Member Function Documentation

## ◆ operator=()

AudioFrameHandleInfo & agora::rtc::AudioFrameHandleInfo::operator= | ( | const AudioFrameHandleInfo & | rhs | ) |
| inline

## ◆ valid()

bool agora::rtc::AudioFrameHandleInfo::valid | ( |  | ) | const
| inline

## ◆ getAudioFrameSourceName()

static std::string agora::rtc::AudioFrameHandleInfo::getAudioFrameSourceName | ( | int | type | ) |
| inline static

## Member Data Documentation

## ◆ source_mute

bool agora::rtc::AudioFrameHandleInfo::source_mute = false

## ◆ time_us

int64_t agora::rtc::AudioFrameHandleInfo::time_us[TIMING_COUNT] {}

## ◆ extra_info

int32_t agora::rtc::AudioFrameHandleInfo::extra_info[EXTRA_INFO_COUNT] {}

## ◆ source_type

int agora::rtc::AudioFrameHandleInfo::source_type = static_cast<int>(AUDIO_FRAME_SOURCE_TYPE::UNKNOWN)